Security Experts:

BrakTooth: New Bluetooth Vulnerabilities Could Affect Millions of Devices

A group of researchers with the Singapore University of Technology and Design have disclosed a family of 16 new vulnerabilities that affect commercial Bluetooth Classic (BT) stacks.

The researchers identified the security holes after evaluating 13 Bluetooth devices from 11 vendors. A total of 20 CVEs have already been assigned, with four additional vulnerabilities pending CVE assignment from Intel and Qualcomm.

BrakTooth draws its name from the Norwegian word “Brak”, which translates to “crash” in English, and Tooth from Bluetooth. The vulnerabilities impact system-on-chips (SoCs) running various versions of Bluetooth, ranging from Bluetooth 3.0 + HS to Bluetooth 5.2.BrakTooth

The naming is suggestive for what exploitation of the vulnerabilities could lead to: denial of service through crash or deadlock. In some cases, the flaws may lead to arbitrary code execution. An attacker looking to exploit the bugs would have to be within Bluetooth range of the target device.

A look at Bluetooth listings, the researchers say, has revealed that roughly 1,400 products are affected. However, given that the BT stack is often shared across multiple products, it’s likely that the actual number of affected products is much higher.

The researchers identified the issues in products from Espressif Systems, Infineon (Cypress), Bluetrum Technology, Intel, Qualcomm, Zhuhai Jieli Technology, Actions Technology, Harman International, Silabs, and Texas Instruments.

While some of these vendors – such as Espressif Systems, Infineon, and Bluetrum Technology – have already released patches for these issues, others have acknowledged the flaws and are still working on patches, or are investigating impact. In some cases (such as Qualcomm’s CSR8811 and CSR8510 SoCs or Texas Instruments’ CC2564C), no fix will be released.

The researchers say that an attacker may be able to exploit these vulnerabilities with the use of a cheap ESP32 development kit (ESP-WROVER-KIT) that runs a custom (non-compliant) LMP firmware and with a computer on which to run the exploit code.

Proof-of-concept (PoC) code, the researchers say, will be released in late October, after vendors have had enough time to assess the impact of these bugs.

The affected SoCs were targeted to audio products, but other BT implementations might be affected as well. The issues, the researchers say, are related to the Link Manager Protocol (LMP) and likely affect all products using the stack implementation.

With the vulnerable products found in a wide range of smartphones, laptops, vehicles, and other types of devices, millions might be affected by these issues.

End users should keep an eye on the behavior of their Bluetooth connectivity when in public places and are advised to apply any patches as soon as their vendor releases them. Vendors, on the other hand, should check their products against the BrakTooth vulnerabilities and make sure they take the necessary measures to address them as quickly as possible. The researchers released a PoC tool for that.

“Organizations, governments and critical infrastructure may be using affected components as well. If stakeholders are uncertain about the extent of Bluetooth usage and the associated devices, an audit of the devices/components in use should be carried out. Following that, a risk assessment should also be conducted to assess the risk posed by BrakTooth to users or day-to-day operations,” Yee Ching Tok, handler at the SANS Institute’s Internet Storm Center (ISC), notes.

Related: New Bluetooth Vulnerabilities Could Expose Many Devices to Impersonation Attacks

Related: BleedingTooth: Vulnerabilities in Linux Bluetooth Allow Zero-Click Attacks

Related: BLURtooth Vulnerability Can Allow Bluetooth MITM Attacks

view counter